﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectPublishing.Entities
{
    public class PrintingHouse
    {
        public int Id { get; private set; }

        [DisplayName("Название")]
        public string Name { get; private set; } = string.Empty;

        [DisplayName("Адрес")]
        public string Address { get; private set; } = string.Empty;

        [DisplayName("Телефон")]
        public string PhoneNumber { get; private set; } = string.Empty;

        [DisplayName("Почта")]
        public string Email { get; private set; } = string.Empty;

        public static PrintingHouse CreatePrintingHouse(int Id, string name, string address, string phoneNumber, string email)
        {
            return new PrintingHouse { Id = Id, Name = name, Address = address, PhoneNumber = phoneNumber, Email = email };
        }
    }
}
