﻿using ProjectPublishing.Entities.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectPublishing.Entities
{
    public class TempOrderMaterials
    {
        public int Id { get; private set; }

        public DateTime OrderDate { get; private set; }

        public string Description { get; private set; } = string.Empty;

        public ProductType ProductType { get; private set; }

        public int Amount { get; private set; }

        public OrderStatus Status { get; private set; }

        public int CustomerId { get; private set; }

        public int PrintingId { get; private set; }

        public int MaterialsId { get; private set; }

        public int MaterialsAmount { get; private set; }

        public string CustomerName { get; private set; } = string.Empty;

        public string PrintingName { get; private set; } = string.Empty;

    }
}
