﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectPublishing.Entities
{
    public class MaterialsAdmission
    {
        public int Id { get; private set; }

        [DisplayName("Количество")]
        public int Amount { get; private set; }

        [DisplayName("Дата поступления")]
        public DateTime DateTime { get; private set; }

        [Browsable(false)]
        public int MaterialId { get; private set; }

        [DisplayName("Название материала")]
        public string MaterialName { get; private set; } = string.Empty;
        public static MaterialsAdmission CreateOperation(int id, int amount, int materialId)
        {
            return new MaterialsAdmission { Id = id, Amount = amount, DateTime = DateTime.Now, MaterialId = materialId };
        }
    }
}
