﻿using ProjectPublishing.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectPublishing.Repositories
{
    public interface ICustomerRepository
    {
        IEnumerable<Customer> ReadCustomers();

        Customer ReadCustomerById(int id);

        void CreateCustomer(Customer customer);

        void UpdateCustomer(Customer customer);

        void DeleteCustomer(int id);
    }
}
